Ubuntu

Comment 5 for bug 313713

Filofel (filofel) wrote :

Since I upgraded to Karmic (release), neither the
HP LaserJet 4 Plus v2013.111 Postscript [en] (recommended)
nor the
HP LaserJet 4 Plus Foomatic/Postscript [en]
work for me.

Printing a vanilla .odt document (not even anything fancy) from Ooo 3.1, I get:

Using HP LaserJet 4 Plus v2013.111 Postscript [en] (recommended), I get nothing but:
ERROR: invalid font
OFFENDING COMMAND: definefont
STACK:
/Font
-dictionary-
/OpenSymbol__0

Using HP LaserJet 4 Plus Foomatic/Postscript [en], I get the first page, then instead of the second page:
ERROR: invalidaccess
OFFENDING COMMAND: writestring
STACK:
(PAGE: )
-filestream-
1
true

Same problem exporting to PDF then printing from the PDF viewer.
Sending the .pdf to a windows machine and printing the PDF from there does work, so the .pdf is valid.

I finally worked around the problem by switching to the
HP LaserJet4 Plus hpljs pcl3, 3.9.8 [en]